GNU bug report logs - #45330
28.0.50; debbugs-gnu: Can't select reports before having started Gnus

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; dated Sun, 20 Dec 2020 04:54:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45330 <at> debbugs.gnu.org:


Received: (at 45330) by debbugs.gnu.org; 23 Dec 2020 18:08:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 23 13:08:57 2020
Received: from localhost ([127.0.0.1]:54118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ks8ZF-0003M0-D5
	for submit <at> debbugs.gnu.org; Wed, 23 Dec 2020 13:08:57 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:36526
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1ks8ZD-0003Lm-6o
 for 45330 <at> debbugs.gnu.org; Wed, 23 Dec 2020 13:08:56 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 08408FDF48;
 Wed, 23 Dec 2020 18:08:48 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1608746929;
 bh=3aWZjs6XwmlTgyZQj1BTr1ASCC10AuzUDEu46VR3ipo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=QEB3EypkDaZwnwJSiVJgX2ZsSK8e89UIUDZX/RpVN4Op0GOOXZ0JkX+kIEYfrxJed
 T9RvFmR6ABpQdjAmylJRQ1Cn6upT+1iRARr5QBZ4y/4Hc8mhpYUAb0YIpFMfvlX6Ic
 Ya5V3pZGuKOQOTraQUyrISJu2Aum7Lc1Gr+L7uqw=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before
 having started Gnus
References: <877dpddqo1.fsf@HIDDEN> <8735zzhi4w.fsf@HIDDEN>
 <87y2hrfxcs.fsf@HIDDEN> <877dpb6suo.fsf@HIDDEN>
 <87tusd3i70.fsf@HIDDEN> <87sg7xrt82.fsf@HIDDEN>
Date: Wed, 23 Dec 2020 10:08:47 -0800
In-Reply-To: <87sg7xrt82.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 23
 Dec 2020 06:23:25 +0100")
Message-ID: <87tuscz974.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45330
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 12/23/20 06:23 AM, Michael Heerdegen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Oh hang on, it looks like that took me several tries to get right,
>> in a81223aeaa, 87b7c06958, a34216351f, and then finally ae76ce57cf,
>
> Wow...

It was embarrassing.

>> in which it looks like I was confident that checking
>> `gnus-registry-enabled' was sufficient to ensure that the registry was
>> actually an object. Give me a second to figure out why that's not
>> true.
>
> Ok, please keep me informed :-)

So it's pretty clear: `gnus-registry-initialize' in effect looks like
this:

(defun gnus-registry-initialize ()
  (gnus-registry-install-hooks) -> (setq gnus-registry-enabled t)
  (if (gnus-alive-p)
      (gnus-registry-load)
    (add-hook 'gnus-read-newsrc-el-hook #'gnus-registry-load)))

So in your case `gnus-registry-enabled' is set to t, but then
`gnus-registry-load' is never called (because Gnus is neither alive, nor
loaded later).

I suppose it's still reasonable to set `gnus-registry-enabled' in this
way -- the registry is, in fact, "enabled", it simply hasn't gotten
loaded (the naming problem again!). Perhaps the formatting functions
should go back to the earlier, more explicit check of `eieio-object-p'.

Bleagh.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.

Message received at 45330 <at> debbugs.gnu.org:


Received: (at 45330) by debbugs.gnu.org; 23 Dec 2020 05:23:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 23 00:23:50 2020
Received: from localhost ([127.0.0.1]:51504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krwco-00082t-O8
	for submit <at> debbugs.gnu.org; Wed, 23 Dec 2020 00:23:50 -0500
Received: from mout.web.de ([212.227.17.12]:47153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1krwci-00082T-Uk
 for 45330 <at> debbugs.gnu.org; Wed, 23 Dec 2020 00:23:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1608701008;
 bh=5uf5xD+YcQXHgFhggrCkGoVhnVmi0pFkQpB0eMBvre8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=N+DqItpnocJvuaUsVMGGxLHNwE0aQdAvrt4qC3MzgglSxe1fsBiMMpcQLiEPhRAXX
 nUCLoSGluU7RHR3Mcm1om8Ix9MvsphTppC7p8t16ZfpmxU9YKKR08liwXVCrB/zYue
 ech0kWONHA1O1pKjDfboLlRQ3HM4MfOmTgNjF4J8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.67.99.46]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0M2Mcy-1k22O31BJ6-00s6OQ; Wed, 23
 Dec 2020 06:23:27 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before
 having started Gnus
References: <877dpddqo1.fsf@HIDDEN> <8735zzhi4w.fsf@HIDDEN>
 <87y2hrfxcs.fsf@HIDDEN> <877dpb6suo.fsf@HIDDEN>
 <87tusd3i70.fsf@HIDDEN>
Date: Wed, 23 Dec 2020 06:23:25 +0100
In-Reply-To: <87tusd3i70.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 22 Dec 2020 08:43:15 -0800")
Message-ID: <87sg7xrt82.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YXTNcSrRe1aFj77O5fxWyxbW5uBzuLNXGc8XUpbPMhevOKgPAkd
 IJmHVyBPZ2AT4rHCGkdTXB23tN/ArCNaS8fgmCf6sP74yIhhHS75viX2sGAoKsVArab4qHV
 h/T2I7Io/xe4MBe3eMpP1s8eMHCk/EAjIksqYJZScbKWgJmkYa627zWcPka1e0DQoesXrkp
 aky1d2yOYWQpQicSaiJ6Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2acChQ1TGJI=:TzeJWkDP+2LQN/5QNZe2Lg
 oP4IWRA2pMagmPWzX+6skZikT2R7hD/zlpefbRxJXXQQurHobjNAUnZ3kDpgGC29kyH2Pmyom
 kYKRZ09T7zjEc/ZKFetI75kqiG+kKe2OcxA59ML+WVj0aasq+qIpnvV08EwMmVOo/C5FGAYZs
 136X8Arccn+jA14wf11N0AqYSqlfRL8opCmvArE9b4IPiQjJ+UW5JSiOoQL1OB5b51mBEbwP9
 jf8g00+DNaAwlyRHn4aY/lolh9fl/NyrcidEsREwHeQvq3QuL1Nn6gZm6K+j7jLetzSDhweBH
 63PVemHnhJHf5BFRTNu0KCaWY6ab8c2GaxBdf3AQnUX4mD5kyAPxaPa0gevtI9tyes01/oGj0
 C5qjzIPhLgn0M7qYOB0/IvlXGsZG8gBUlr6Ztgc7UlWrmtmCdoUXUpj3gymwnyQ/zeSkcJPOE
 1pxhABy+715th6iF0gnnJmNXik0OWrZReI24KcgWQswfaQk5pTN2eHupeWzGi3aInSJdUIUMf
 Quv9sp8oPmziInR3SUAF1flu0yqQxyas+Sx/2NFzaTB7vqLN6iCmnpbvmSmQmAJaN4Jta+vva
 4TlbGzcjNrux7g70LV6mBQY3vyZIQu3TRXud0bSahy1o0bLl37n7jFU/09/nLcYotgaOZX6ih
 YwD6qB4X57B5ZukCqybWa+rEpp5N6vjI6tZdNY+dJEVF09Zyw9596oEGusQo5FJ7bEM0FdQ43
 jstoqp6tAjlLrhYnVtg7QoglKCOvHV+rpfkoRf4dTvBapc+D/SSqWapprdofjgkxHfnQyHguB
 nCIqSZ0hC+3DCkhU6CBezvIE/PD0iVoWuRz8nY4dzqKGKsyh1goE5B9l4WCgXyPFcOuKmAa1I
 qbHlT5WEEgRqV9MdB6AW48OZe7d75bJqxl0vbYk2k=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45330
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Oh hang on, it looks like that took me several tries to get right,
> in a81223aeaa, 87b7c06958, a34216351f, and then finally ae76ce57cf,

Wow...

> in which it looks like I was confident that checking
> `gnus-registry-enabled' was sufficient to ensure that the registry was
> actually an object. Give me a second to figure out why that's not
> true.

Ok, please keep me informed :-)


TIA,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.

Message received at 45330 <at> debbugs.gnu.org:


Received: (at 45330) by debbugs.gnu.org; 22 Dec 2020 16:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 22 11:43:26 2020
Received: from localhost ([127.0.0.1]:50828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krkkv-0003rj-Dp
	for submit <at> debbugs.gnu.org; Tue, 22 Dec 2020 11:43:26 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:60806
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1krkkt-0003rX-Dq
 for 45330 <at> debbugs.gnu.org; Tue, 22 Dec 2020 11:43:24 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id D7EAEFA0EC;
 Tue, 22 Dec 2020 16:43:16 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1608655397;
 bh=On8LagrZT/3TjpThZnb1XQ1PY0zzf/Lo2zcDsfuLbuM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=Lf1BuHYBTyWcjyZ004YRhFRfJ+6QiyZfbV4K/wnOvVyEOuPEp5Hu2Ws50XSMQIlRK
 ZBSXIPpGdE9sIVLLppREeQyFTcP3RGrpKrYWf5rXDqFxiF9+ySzaqLr7gEqguGW8lA
 52mlcpFIgySBy3KlhxIdhBehI47uiURVs8akQodQ=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before
 having started Gnus
References: <877dpddqo1.fsf@HIDDEN> <8735zzhi4w.fsf@HIDDEN>
 <87y2hrfxcs.fsf@HIDDEN> <877dpb6suo.fsf@HIDDEN>
Date: Tue, 22 Dec 2020 08:43:15 -0800
In-Reply-To: <877dpb6suo.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 21 Dec 2020 08:12:31 -0800")
Message-ID: <87tusd3i70.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45330
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 12/21/20 08:12 AM, Eric Abrahamsen wrote:
> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>>
>>> I think this should be fixed on the trunk now -- can you check?
>>
>> Ok, thanks.  Yes, good, though, now I get (deja vu again):
>>
>> | Debugger entered--Lisp error: (cl-no-applicable-method
>> | registry-lookup nil ("<84k479sz16.fsf@HIDDEN>"))
>
> Yes, we've been here before, in bug 36903, and commit a81223aeaa...

Oh hang on, it looks like that took me several tries to get right,
in a81223aeaa, 87b7c06958, a34216351f, and then finally ae76ce57cf, in
which it looks like I was confident that checking
`gnus-registry-enabled' was sufficient to ensure that the registry was
actually an object. Give me a second to figure out why that's not true.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.

Message received at 45330 <at> debbugs.gnu.org:


Received: (at 45330) by debbugs.gnu.org; 21 Dec 2020 16:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 21 11:12:41 2020
Received: from localhost ([127.0.0.1]:48096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krNnd-0005ns-AZ
	for submit <at> debbugs.gnu.org; Mon, 21 Dec 2020 11:12:41 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:60942
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1krNnb-0005nd-Oe
 for 45330 <at> debbugs.gnu.org; Mon, 21 Dec 2020 11:12:40 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id D2E2BFA0F1;
 Mon, 21 Dec 2020 16:12:32 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1608567153;
 bh=zJ8SWu/zUHWv9nQlOmhWZIYVUMJrijg2CP97P2PIy1w=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=oSflCnvH5CWK5AIOiTdtv74PYK4sNtfxE5Fq3oTJ0ozSbsoOVy9huNBrX64zTrhzu
 iEWLtxnOH/3HOyEq0DfkG+waYdC7hbU6kNDQh49eQ/JtsmbcK/gzyDbFXvlSYLpQN5
 4GwYYs580u3pB+3gqKPTOasOEBWLoifm8W8KTj6A=
From: Eric Abrahamsen <eric@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before
 having started Gnus
References: <877dpddqo1.fsf@HIDDEN> <8735zzhi4w.fsf@HIDDEN>
 <87y2hrfxcs.fsf@HIDDEN>
Date: Mon, 21 Dec 2020 08:12:31 -0800
In-Reply-To: <87y2hrfxcs.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 21
 Dec 2020 08:10:27 +0100")
Message-ID: <877dpb6suo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45330
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> I think this should be fixed on the trunk now -- can you check?
>
> Ok, thanks.  Yes, good, though, now I get (deja vu again):
>
> | Debugger entered--Lisp error: (cl-no-applicable-method
> | registry-lookup nil ("<84k479sz16.fsf@HIDDEN>"))

Yes, we've been here before, in bug 36903, and commit a81223aeaa...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.

Message received at 45330 <at> debbugs.gnu.org:


Received: (at 45330) by debbugs.gnu.org; 21 Dec 2020 07:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 21 02:10:48 2020
Received: from localhost ([127.0.0.1]:46053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krFLE-0006zp-1a
	for submit <at> debbugs.gnu.org; Mon, 21 Dec 2020 02:10:48 -0500
Received: from mout.web.de ([212.227.15.14]:59437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1krFLB-0006zR-NT
 for 45330 <at> debbugs.gnu.org; Mon, 21 Dec 2020 02:10:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1608534629;
 bh=8ZRxbX6P7tkyMWuDVk6tduq46EGkH3XUHDi23yIwkj0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=IH9E4eqYMzD6x+5hjE/a28hnaexTfCM3OTDRmxdSX8/QGyioMXNyKHu1uA1gzFx/3
 dU5oeybuzr/UmVOUMNJnA9Wfmne+orvCepsUc19GW70DLmEAJL93+1I3SJn/sQlf2N
 aFBmmlrSj/ZX8NTWja5HhK2aYQwr+0mjd4W1AUPg=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.67.99.46]) by smtp.web.de (mrweb006
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1N45xt-1js1tk0s09-00zmCa; Mon, 21
 Dec 2020 08:10:29 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before
 having started Gnus
References: <877dpddqo1.fsf@HIDDEN> <8735zzhi4w.fsf@HIDDEN>
Date: Mon, 21 Dec 2020 08:10:27 +0100
In-Reply-To: <8735zzhi4w.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 21 Dec 2020 05:56:15 +0100")
Message-ID: <87y2hrfxcs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:Pl0PU4D2L7K8rx+SAxB3C6Nba7TZeLRLQqxxM9rO9XzCti5kYJh
 e5Ia2OdrNSqr5mJg0A+neTQEm12eoHcErrj/vuv4hflkRRvzG8n4xjhcgxSxZRHxNWw6s2I
 /6sp1idSOcYSVoUjfoFvkq96FUrTGa51Or4Hv0qVgjdgGBCGBdqtXxPgNsrRFWcoqif2QfL
 yUKNmHGcMLco99ey2b60g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:BzQd1rcCZ4o=:jnJL7zHUPWpCwBeEQr8ItX
 WbVacsSkA+pNiU8rlv0+zN7ZjWE7LI1GMkgU+nTVSEDGrjOuhipCKqBrMEqfmHC0S14VG9wcL
 TqafE9o94wcKfzlhsLZl8cNImoyEl7X5p7cztnhY0cdcb9R5kDftbpwufDkHsrC0BWnQfkWwt
 0gVP/g97j4JVeaDqcr2S/WUY67K1gkxI07gxnNagr74v0r/DtTg3q9rxX+Vn9e2HF6TClLf66
 yL7ZMBGcxF4PWQ8tH+MOYd+C+wA1yB17hCfR4rZeqfc+JTg0L83kPirwY8sfX7b2Pw+Thlom4
 IqvM0xU2uYp2hiysh3bHNFMAgwjRdNMghow7DxRnVQuOaQfeRl/U1MiQ8dIA+XeJQliQhDzF8
 eou+hE8XliVC0yij+3O+t5ModhjjDFBxH0Tf3fempEFJRKctleyzSOcOxbmZje377Elu54m/K
 Ok0VDzFnxT+/r00GE6LaRrXipWQZpxLymXk+KERDG25CcxMX2Ovj1Su83VSy33XGVkKXWoX52
 GkD+VfIIUZf7t5KgCLoje3BEpQyKdC9XT0sCPafUBizxc5fMyOqIkvIFMpwf4Dl1khnkyxcFu
 tHHZrk8ymz4ZscfsTMQYy4tLz745N7GfEZoM/r2I4KoQ2ah8fMMRGnqRuJH6zOEQgzzSfOpGw
 DfTsImJLChh16zxCwd2VQ77KOnPjmCOnco/NelX1I0OaVCf6fkZt8zMmkmyOjjfKwHUczmz4h
 IPK72pZrL3UZyUgdsDaJrar2pJ6ohHm4pv9JDBsb4pEjTCEEiEVyl2hOhQry10f+I8LjfQtHC
 xMnQviARVdy7TURosI/li/qM7YELD520pQHuF3Hmr+B6nAAlROwzjCTreXrLuSpWOgb6xFOY8
 dniN51Pn+pIT3BdE4UECvx/ygV5K136BC/HjwubkE=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 45330
Cc: Eric Abrahamsen <eric@HIDDEN>, 45330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think this should be fixed on the trunk now -- can you check?

Ok, thanks.  Yes, good, though, now I get (deja vu again):

| Debugger entered--Lisp error: (cl-no-applicable-method registry-lookup ni=
l ("<84k479sz16.fsf@HIDDEN>"))
|   signal(cl-no-applicable-method (registry-lookup nil ("<84k479sz16.fsf@a=
ol.com>")))
|   cl-no-applicable-method(#s(cl--generic registry-lookup ((1 #s(cl--gener=
ic-generalizer cl--generic-t-generalizer 0 #[385 "\300\207" [nil] 3 "\n\n(f=
n NAME &rest _)"] #[385 "\300\207" [(t)] 3 "\n\n(fn TAG &rest _)"])) (0 #s(=
cl--generic-generalizer eieio--generic-generalizer 50 cl--generic-struct-ta=
g #[385 "\1\301N\302\1!\10>\205\21\0\303\304\305\3!\"\207" [cl-struct-eieio=
--class-tags cl--class type-of mapcar eieio--class-name eieio--class-preced=
ence-list] 7 "\n\n(fn TAG &rest _)"]) #s(cl--generic-generalizer cl--generi=
c-t-generalizer 0 #[385 "\300\207" [nil] 3 "\n\n(fn NAME &rest _)"] #[385 "=
\300\207" [(t)] 3 "\n\n(fn TAG &rest _)"]))) (#s(cl--generic-method (regist=
ry-db t) nil nil #[(db keys) "\303\10\301\"\31\304\305\306\307\n\"\")\207" =
[db data keys eieio-oref delq nil mapcar #[(k) "\302\10\11\"\205\15\0\10\30=
2\10\11\"D\207" [k data gethash] 4]] 5 "Search for KEYS in the registry-db =
DB.\nReturns an alist of the key followed by the entry in a list, not a con=
s cell."])) nil) nil ("<84k479sz16.fsf@HIDDEN>"))
|   apply(cl-no-applicable-method #s(cl--generic registry-lookup ((1 #s(cl-=
-generic-generalizer cl--generic-t-generalizer 0 #[385 "\300\207" [nil] 3 "=
\n\n(fn NAME &rest _)"] #[385 "\300\207" [(t)] 3 "\n\n(fn TAG &rest _)"])) =
(0 #s(cl--generic-generalizer eieio--generic-generalizer 50 cl--generic-str=
uct-tag #[385 "\1\301N\302\1!\10>\205\21\0\303\304\305\3!\"\207" [cl-struct=
-eieio--class-tags cl--class type-of mapcar eieio--class-name eieio--class-=
precedence-list] 7 "\n\n(fn TAG &rest _)"]) #s(cl--generic-generalizer cl--=
generic-t-generalizer 0 #[385 "\300\207" [nil] 3 "\n\n(fn NAME &rest _)"] #=
[385 "\300\207" [(t)] 3 "\n\n(fn TAG &rest _)"]))) (#s(cl--generic-method (=
registry-db t) nil nil #[(db keys) "\303\10\301\"\31\304\305\306\307\n\"\")=
\207" [db data keys eieio-oref delq nil mapcar #[(k) "\302\10\11\"\205\15\0=
\10\302\10\11\"D\207" [k data gethash] 4]] 5 "Search for KEYS in the regist=
ry-db DB.\nReturns an alist of the key followed by the entry in a list, not=
 a cons cell."])) nil) (nil ("<84k479sz16.fsf@HIDDEN>")))
|   #f(compiled-function (&rest args) #<bytecode 0x306e3026b507eed>)(nil ("=
<84k479sz16.fsf@HIDDEN>"))
|   apply(#f(compiled-function (&rest args) #<bytecode 0x306e3026b507eed>) =
nil ("<84k479sz16.fsf@HIDDEN>"))
|   registry-lookup(nil ("<84k479sz16.fsf@HIDDEN>"))
|   gnus-registry-get-or-make-entry("<84k479sz16.fsf@HIDDEN>" nil)
|   gnus-registry-get-id-key("<84k479sz16.fsf@HIDDEN>" mark)
|   gnus-user-format-function-M([2 "bug#10000: 24.0.91; Gnus gnus-get-funct=
ion error" "nyc4bos@HIDDEN" #("Tue, 08 Nov 2011 23:25:09 -0500" 0 1 (gnus-=
time (20154 165))) "<84k479sz16.fsf@HIDDEN>" nil -1 119 nil ((To . "10000@=
debbugs.gnu.org"))])
|   (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tmp-replied (gnus-us=
er-format-function-S gnus-tmp-header) (gnus-user-format-function-g gnus-tmp=
-header) (gnus-user-format-function-M gnus-tmp-header) gnus-tmp-score-char =
(gnus-user-date (mail-header-date gnus-tmp-header)) gnus-tmp-indentation)
|   (insert (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tmp-replied =
(gnus-user-format-function-S gnus-tmp-header) (gnus-user-format-function-g =
gnus-tmp-header) (gnus-user-format-function-M gnus-tmp-header) gnus-tmp-sco=
re-char (gnus-user-date (mail-header-date gnus-tmp-header)) gnus-tmp-indent=
ation))
|   (progn (insert (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-tmp-r=
eplied (gnus-user-format-function-S gnus-tmp-header) (gnus-user-format-func=
tion-g gnus-tmp-header) (gnus-user-format-function-M gnus-tmp-header) gnus-=
tmp-score-char (gnus-user-date (mail-header-date gnus-tmp-header)) gnus-tmp=
-indentation)) (put-text-property (point) (progn (insert (format "%-23s" (l=
et* ((val ...) (need ...)) (if (> need 0) (concat nil val ...) val)))) (poi=
nt)) 'mouse-face gnus-mouse-face) (insert "   ") (add-text-properties (poin=
t) (progn (insert gnus-tmp-subject-or-nil) (point)) (cons 'face (cons (list=
 'font-lock-variable-name-face 'default) '(gnus-face t)))) (insert "\n"))
|   eval((progn (insert (format "%c%c%s%s%2s%c%9s %s" gnus-tmp-unread gnus-=
tmp-replied (gnus-user-format-function-S gnus-tmp-header) (gnus-user-format=
-function-g gnus-tmp-header) (gnus-user-format-function-M gnus-tmp-header) =
gnus-tmp-score-char (gnus-user-date (mail-header-date gnus-tmp-header)) gnu=
s-tmp-indentation)) (put-text-property (point) (progn (insert (format "%-23=
s" (let* (... ...) (if ... ... val)))) (point)) 'mouse-face gnus-mouse-face=
) (insert "   ") (add-text-properties (point) (progn (insert gnus-tmp-subje=
ct-or-nil) (point)) (cons 'face (cons (list 'font-lock-variable-name-face '=
default) '(gnus-face t)))) (insert "\n")))
|   gnus-summary-prepare-threads((([2 "bug#10000: 24.0.91; Gnus gnus-get-fu=
nction error" "nyc4bos@HIDDEN" #("Tue, 08 Nov 2011 23:25:09 -0500" 0 1 (gn=
us-time (20154 165))) "<84k479sz16.fsf@HIDDEN>" nil -1 119 nil ((To . "100=
00 <at> debbugs.gnu.org"))] ([3 "bug#10000: 24.0.91; Gnus gnus-get-function erro=
r" "Lars Magne Ingebrigtsen <larsi@HIDDEN>" "Sat, 07 Jan 2012 00:34:39 +0=
100" "<m3boqg5rsg.fsf@HIDDEN>" "<84k479sz16.fsf@HIDDEN>" -1 21 n=
il ((Cc . "10000 <at> debbugs.gnu.org") (To . "nyc4bos@HIDDEN"))])) ([4 "contro=
l message for bug #10000" "Lars Magne Ingebrigtsen <larsi@HIDDEN>" #("Sat=
, 07 Jan 2012 00:34:43 +0100" 0 1 (gnus-time (20231 34067))) "<m3aa605rsc.f=
sf@HIDDEN>" nil -1 6 nil ((To . "control <at> debbugs.gnu.org, 10000@d=
ebbugs.gnu.org"))]) ([1 "Status: 24.0.91; Gnus gnus-get-function error" "bu=
g#10000 <10000 <at> debbugs.gnu.org>" #("Mon, 21 Dec 2020 07:03:37 +0000" 0 1 (g=
nus-time (24544 18633))) "fake+none+nndoc+ephemeral:bug#10000+1" nil -1 9 n=
il ((To . "bug#10000 <10000 <at> debbugs.gnu.org>"))])))
|   gnus-summary-prepare()
|   gnus-summary-read-group-1("nndoc+ephemeral:bug#10000" t t nil nil nil)
|   gnus-summary-read-group("nndoc+ephemeral:bug#10000" t t nil nil nil nil)
|   gnus-group-read-group(t t "nndoc+ephemeral:bug#10000" nil)
|   gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#10000" (nndoc "/tm=
p/gnus-temp-group-hZ7CcZ" (nndoc-article-type mbox)) nil (#<buffer *Bugs*> =
. #<window-configuration>))
|   gnus-read-ephemeral-bug-group((10000) "https://debbugs.gnu.org/cgi/bugr=
eport.cgi?bug=3D%s;m..." (#<buffer *Bugs*> . #<window-configuration>))
|   gnus-read-ephemeral-emacs-bug-group((10000) (#<buffer *Bugs*> . #<windo=
w-configuration>))
|   debbugs-gnu-read-emacs-bug-with-gnus(10000 ((cache_time . 1608534206.83=
31993) (msgid . "<84k479sz16.fsf@HIDDEN>") (package "emacs" "gnus") (forwa=
rded) (owner) (tags "notabug") (found_versions "24.0.91") (fixed_date) (fix=
ed_versions) (mergedwith) (last_modified . 1328358242) (done . "Lars Magne =
Ingebrigtsen <larsi@HIDDEN>") (found_date) (affects) (location . "archive=
") (originator . "nyc4bos@HIDDEN") (found (item (key . "24.0.91") (value))=
) (source . "unknown") (keywords "notabug") (subject . "24.0.91; Gnus gnus-=
get-function error") (bug_num . 10000) (pending . "done") (id . 10000) (blo=
cks) (summary) (log_modified . 1328358242) (fixed) (severity . "minor") (un=
archived) (date . 1320812762) (archived . t) (blockedby)) nil)
|   debbugs-gnu-select-report()

I have

#+begin_src emacs-lisp
(defalias 'gnus-user-format-function-M
  'gnus-registry-article-marks-to-chars)
#+end_src

and am using it in `gnus-summary-line-format'.  Can you reproduce that
problem?


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.

Message received at 45330 <at> debbugs.gnu.org:


Received: (at 45330) by debbugs.gnu.org; 21 Dec 2020 04:56:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 20 23:56:26 2020
Received: from localhost ([127.0.0.1]:45956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krDFC-0001D6-Dt
	for submit <at> debbugs.gnu.org; Sun, 20 Dec 2020 23:56:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:37076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1krDFA-0001Cu-Tw
 for 45330 <at> debbugs.gnu.org; Sun, 20 Dec 2020 23:56:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=P5YBq6ieutUgPNFaintBl9/aGWrEsLZd6oFFiv+uipQ=; b=W3Is5EGMwtQKkegHIR1YgP8mWq
 MJSflofttZrt64IY75QywopGgpjQJeC/FBCc1xoWlLkEoQBacXZ2WSvxrgG/Y/CMrYJxOfrY67RzS
 3QB+U1IRP49BSvQxbZGzMSqa08vrRwRTBik7UIPufkQJdRAn0AGukYuikUAHsRjaccdc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1krDF2-0001E3-D1; Mon, 21 Dec 2020 05:56:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before
 having started Gnus
References: <877dpddqo1.fsf@HIDDEN>
X-Now-Playing: Steven Brown's _Music for Film & Theatre (2)_: "The Flight"
Date: Mon, 21 Dec 2020 05:56:15 +0100
In-Reply-To: <877dpddqo1.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 20
 Dec 2020 05:53:18 +0100")
Message-ID: <8735zzhi4w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > sorry
 if I had already reported this and a fix is on the way. Or had it > been
 fixed and has reappeared, or even my fault this time? > > I'm doing something
 like > > (debbugs-gnu-search "debbugs" '( [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45330
Cc: Eric Abrahamsen <eric@HIDDEN>, 45330 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> sorry if I had already reported this and a fix is on the way.  Or had it
> been fixed and has reappeared, or even my fault this time?
>
> I'm doing something like
>
>   (debbugs-gnu-search "debbugs" '((subject . "debbugs")) nil nil nil)
>
> and when I hit RET over a bug's line I get this error:
>
> | Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
> |   gnus-summary-goto-subject(0)
> |   gnus-summary-last-subject()
> |   gnus-summary-highlight-line()
> |   gnus-summary-insert-line([0 "" "" "05 Apr 2001 23:33:09 +0400" ""
> | "" 0 0 "" nil] 0 nil t 90 t nil "" nil 1)
> |   gnus-update-summary-mark-positions()

I think this should be fixed on the trunk now -- can you check?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Dec 2020 04:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 23:53:37 2020
Received: from localhost ([127.0.0.1]:43561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqqiv-0003kJ-Ej
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 23:53:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:55814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1kqqis-0003kA-Kh
 for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 23:53:36 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:35904)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1kqqis-0004CX-BK
 for bug-gnu-emacs@HIDDEN; Sat, 19 Dec 2020 23:53:34 -0500
Received: from mout.web.de ([212.227.15.3]:37507)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1kqqiq-0004F0-At
 for bug-gnu-emacs@HIDDEN; Sat, 19 Dec 2020 23:53:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1608440000;
 bh=lBbsSglXBm423eaCPUYj9ydX7lCKXosZ3VPw5D1ialE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:Date;
 b=srPB4kDJzGKP/oLOiYKcD2b/Vw8tS+FjANI6kpD965HMBXGBfg1SZe0M86IHJetOj
 +WRybIqy4oYEp0A3R2XIcOvlaumsL/1XJgSodvkMNMLV8hCtJqSVcLVqq1KsPSlbXk
 brzTXuNpcRG6+U0HlNftGDrLYRHMvwMoMGpGuBIA=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.67.99.46]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MVXnr-1ka1TM3S8t-00Z1nn; Sun, 20
 Dec 2020 05:53:19 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus
Date: Sun, 20 Dec 2020 05:53:18 +0100
Message-ID: <877dpddqo1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:u3p7L7aOtBR9hycYr6nOz3tH87L8H2i1sAUOmlqp9CboNtnGi/j
 JiFNjhLzeOFeNrxp3WKXP5qTN2h5hG+Kfd1oj8lUsA0LXgGdkNArQVQ+DLqbJ7H8qNe3fO9
 nA+tTm415sQKQNcE72pEyoogfCPhblza8w0InpFrlo+18lHuGZNq54+gsL0DOjD+deorheM
 xOn26axKJ2iCwhlpY3F6g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:AHrDjZ4XljA=:LjA0nu/MDMXvGd96pcNVeb
 CBIKA4rf6n5sOMVdzmcusByeOO+dNXiwc+/WPaWBNiqRY/OXi+eI5AFzxWElo1IV378tbSLXt
 gPeTfZrwOG+fuswJWJGWCh2XxBXoRVZPe7vj8SzvFRwCeV3i/7gq0r14eTG4ZwjHEGBCQLb5x
 0Rnp+TWAcUSfOzU0G2KQj1rX0cbo5LiPIHGchAM+ehbBfRiH3UwUuwHDXozJQ2j2wr9sgluBj
 oSCOx4tOtF3/GQZTn6TtwjMCyFfwBAjp3L2HyFKRnOj/v8GKyMBJuaPAVYM6zQ5odoHSxq0g3
 I3X3XK3dnwqlPtrM4SIrbjPreIBbAWILsJdrwiFTe1fk8YSFH++nXLTJI7XJKeOOFb0u+gplW
 YdnVOvVgPKBs9+FWhnnt1+J4ojNdJFiMcB4X26MgzwjuvFWdoAEVySwElcKCelLUXPnXuzoVO
 2IbSkM1CyPvCtogyzv5A/qLN0AHZt3+IAc6Atw2aVjnAuXO0tv0UA7kCnGwhHddbKZ5jpdIw3
 KsoTNfb/UTXXLGJA6J0Gh556/hIUETkgbWupttuMcuzeHF8eHEp4piFU1pYJbbE0EQbhS5Fse
 FZyRgyPODYNzw8yVEF/81t9vIu6rFZsO/Z60DQ+3dMdjrniEa7/wupDux9Zjosyr736hFf11m
 pAOfvqOh1JSCVixQG//mbb5NbzXKl+k11+DKQOYx16JaDZIX3a71TACz4IjFNPQA+qddiMl6r
 9rIREiKnsfItz1P/I6VlJc5HziSWLUjm85O/ee1DTULDaEjC6WxSQt41r59L3711lhlxoXtoE
 kTDQQwUcQAGMdkeFjN7HZM8exRS6D4wpC4A+S5z4vIkzqrnYntp/QLje/g4Sku658p8k4CGE7
 jaGq7bzIjAlvFjARbgeUNB8vexLOlBifV8eVtIdDA=
Received-SPF: pass client-ip=212.227.15.3;
 envelope-from=michael_heerdegen@HIDDEN; helo=mout.web.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
Cc: Eric Abrahamsen <eric@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hi,

sorry if I had already reported this and a fix is on the way.  Or had it
been fixed and has reappeared, or even my fault this time?

I'm doing something like

  (debbugs-gnu-search "debbugs" '((subject . "debbugs")) nil nil nil)

and when I hit RET over a bug's line I get this error:

| Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
|   gnus-summary-goto-subject(0)
|   gnus-summary-last-subject()
|   gnus-summary-highlight-line()
|   gnus-summary-insert-line([0 "" "" "05 Apr 2001 23:33:09 +0400" "" "" 0 0 "" nil] 0 nil t 90 t nil "" nil 1)
|   gnus-update-summary-mark-positions()
|   gnus-summary-read-group-1("nndoc+ephemeral:bug#36903" t t nil nil nil)
|   gnus-summary-read-group("nndoc+ephemeral:bug#36903" t t nil nil nil nil)
|   gnus-group-read-group(t t "nndoc+ephemeral:bug#36903" nil)
|   gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#36903" (nndoc "/tmp/gnus-temp-group-lGIifE" (nndoc-article-type mbox)) nil (#<buffer *"debbugs" Bugs*> . #<window-configuration>))
|   gnus-read-ephemeral-bug-group((36903) "https://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;m..." (#<buffer *"debbugs" Bugs*> . #<window-configuration>))
|   gnus-read-ephemeral-emacs-bug-group((36903) (#<buffer *"debbugs" Bugs*> . #<window-configuration>))
|   debbugs-gnu-read-emacs-bug-with-gnus(36903 ((cache_time . 1608439370.59222) (last_modified . 1573129444) (done . "Eric Abrahamsen <eric@HIDDEN>") (summary) (forwarded) (source . "unknown") (log_modified . 1573129444) (blockedby) (found_versions "27.0.50") (fixed_versions) (subject . "27.0.50; gnus registry vs. debbugs") (archived . t) (affects) (package "emacs") (location . "archive") (originator . "Michael Heerdegen <michael_heerdegen@HIDDEN>") (date . 1564816382) (severity . "normal") (owner) (keywords) (fixed) (found (item (key . "27.0.50") (value))) (bug_num . 36903) (fixed_date) (id . 36903) (tags) (unarchived) (msgid . "<87pnlmen9q.fsf@HIDDEN>") (pending . "done") (blocks) (found_date) (mergedwith)) nil)
|   debbugs-gnu-select-report()
|   funcall-interactively(debbugs-gnu-select-report)
|   call-interactively(debbugs-gnu-select-report nil nil)
|   command-execute(debbugs-gnu-select-report)

Annoying.  When I had started Gnus before, this doesn't happen.

TIA,

Michael.






Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45330; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Dec 2020 18:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.